<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span>Document</span> 
            </h5>
            <p-dataTable
                [value]="partyDocuments"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idDocument"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: 'party-document-new/' + idparty } }]" replaceUrl="true" *ngIf="!readonly"
                        ></button>
                    </div>
                </p-header>
                <p-column header="{{'mpmApp.partyDocument.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.partyDocument.content'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <p-lightbox type="content">
                            <a class="group" href="#">
                                <img [src]="'data:' + rowData.contentContentType + ';base64,' + rowData.content" class="img-thumbnail" style="max-width:100px;" alt="partyDocument image"/>
                            </a>
                            <img [src]="'data:' + rowData.contentContentType + ';base64,' + rowData.content" style="max-width: 500px;" alt="partyDocument image"/>
                        </p-lightbox>
                        <!-- <span *ngIf="rowData.content">{{rowData.contentContentType}}, {{byteSize(rowData.content)}}</span>  -->
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.partyDocument.documentType'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.documentTypeId">
                            {{rowData.documentTypeDescription}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.partyDocument.note'|translate}}" field="note" [editable]="true">
                </p-column>
                <p-column header="{{'mpmApp.partyDocument.dateCreate'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                    <ng-template let-col let-rowData="rowData" pTemplate="editor">
                        <p-calendar [(ngModel)]="rowData.dateCreate"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.partyDocument.labelAction'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" let-rowIndex="rowIndex" pTemplate="body">
                        <!-- <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'party-document/'+ rowData.idDocument + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button> -->
                        <button pButton type="button"
                                (click)="delete(rowData.idDocument, rowIndex)"
                                icon="fa-remove"
                                class="flat-button" *ngIf="!readonly">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog *ngIf="!readonly && !isHaveOwnConfirmDialog"></p-confirmDialog>
